IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network208.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
- Network address
208.0.0.0- Broadcast address
223.255.255.255- First usable
208.0.0.1- Last usable
223.255.255.254- Usable hosts
- 268,435,454 (268,435,456 less the network and broadcast addresses)
- Subnet mask
240.0.0.0- Wildcard mask
15.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /4
- Type
- Public public
- Old class
- C (default /24)
- As numbers
- Hex
D0000000· Integer3489660928to3758096383 - Reverse DNS zones
208.in-addr.arpa209.in-addr.arpa210.in-addr.arpa211.in-addr.arpa212.in-addr.arpa213.in-addr.arpa214.in-addr.arpa215.in-addr.arpa216.in-addr.arpa217.in-addr.arpa218.in-addr.arpa219.in-addr.arpa220.in-addr.arpa221.in-addr.arpa222.in-addr.arpa223.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11010000.00000000.00000000.00000000 | 208.0.0.0 |
| Subnet mask | 11110000.00000000.00000000.00000000 | 240.0.0.0 |
| Network | 11010000.00000000.00000000.00000000 | 208.0.0.0 |
| Broadcast | 11011111.11111111.11111111.11111111 | 223.255.255.255 |
Split into smaller subnets
/5 (2)/6 (4)/7 (8)/8 (16)/9 (32)/10 (64)/11 (128)/12 (256)/13 (512)/14 (1,024)/15 (2,048)/16 (4,096)
208.0.0.0/4 makes 1,024 subnets of /14; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 208.0.0.0/14 | 208.0.0.1 to 208.3.255.254 | 208.3.255.255 | 262,142 |
| 2 | 208.4.0.0/14 | 208.4.0.1 to 208.7.255.254 | 208.7.255.255 | 262,142 |
| 3 | 208.8.0.0/14 | 208.8.0.1 to 208.11.255.254 | 208.11.255.255 | 262,142 |
| 4 | 208.12.0.0/14 | 208.12.0.1 to 208.15.255.254 | 208.15.255.255 | 262,142 |
| 5 | 208.16.0.0/14 | 208.16.0.1 to 208.19.255.254 | 208.19.255.255 | 262,142 |
| 6 | 208.20.0.0/14 | 208.20.0.1 to 208.23.255.254 | 208.23.255.255 | 262,142 |
| 7 | 208.24.0.0/14 | 208.24.0.1 to 208.27.255.254 | 208.27.255.255 | 262,142 |
| 8 | 208.28.0.0/14 | 208.28.0.1 to 208.31.255.254 | 208.31.255.255 | 262,142 |
| 9 | 208.32.0.0/14 | 208.32.0.1 to 208.35.255.254 | 208.35.255.255 | 262,142 |
| 10 | 208.36.0.0/14 | 208.36.0.1 to 208.39.255.254 | 208.39.255.255 | 262,142 |
| 11 | 208.40.0.0/14 | 208.40.0.1 to 208.43.255.254 | 208.43.255.255 | 262,142 |
| 12 | 208.44.0.0/14 | 208.44.0.1 to 208.47.255.254 | 208.47.255.255 | 262,142 |
| 13 | 208.48.0.0/14 | 208.48.0.1 to 208.51.255.254 | 208.51.255.255 | 262,142 |
| 14 | 208.52.0.0/14 | 208.52.0.1 to 208.55.255.254 | 208.55.255.255 | 262,142 |
| 15 | 208.56.0.0/14 | 208.56.0.1 to 208.59.255.254 | 208.59.255.255 | 262,142 |
| 16 | 208.60.0.0/14 | 208.60.0.1 to 208.63.255.254 | 208.63.255.255 | 262,142 |
| 17 | 208.64.0.0/14 | 208.64.0.1 to 208.67.255.254 | 208.67.255.255 | 262,142 |
| 18 | 208.68.0.0/14 | 208.68.0.1 to 208.71.255.254 | 208.71.255.255 | 262,142 |
| 19 | 208.72.0.0/14 | 208.72.0.1 to 208.75.255.254 | 208.75.255.255 | 262,142 |
| 20 | 208.76.0.0/14 | 208.76.0.1 to 208.79.255.254 | 208.79.255.255 | 262,142 |
| 21 | 208.80.0.0/14 | 208.80.0.1 to 208.83.255.254 | 208.83.255.255 | 262,142 |
| 22 | 208.84.0.0/14 | 208.84.0.1 to 208.87.255.254 | 208.87.255.255 | 262,142 |
| 23 | 208.88.0.0/14 | 208.88.0.1 to 208.91.255.254 | 208.91.255.255 | 262,142 |
| 24 | 208.92.0.0/14 | 208.92.0.1 to 208.95.255.254 | 208.95.255.255 | 262,142 |
| 25 | 208.96.0.0/14 | 208.96.0.1 to 208.99.255.254 | 208.99.255.255 | 262,142 |
| 26 | 208.100.0.0/14 | 208.100.0.1 to 208.103.255.254 | 208.103.255.255 | 262,142 |
| 27 | 208.104.0.0/14 | 208.104.0.1 to 208.107.255.254 | 208.107.255.255 | 262,142 |
| 28 | 208.108.0.0/14 | 208.108.0.1 to 208.111.255.254 | 208.111.255.255 | 262,142 |
| 29 | 208.112.0.0/14 | 208.112.0.1 to 208.115.255.254 | 208.115.255.255 | 262,142 |
| 30 | 208.116.0.0/14 | 208.116.0.1 to 208.119.255.254 | 208.119.255.255 | 262,142 |
| 31 | 208.120.0.0/14 | 208.120.0.1 to 208.123.255.254 | 208.123.255.255 | 262,142 |
| 32 | 208.124.0.0/14 | 208.124.0.1 to 208.127.255.254 | 208.127.255.255 | 262,142 |
| 33 | 208.128.0.0/14 | 208.128.0.1 to 208.131.255.254 | 208.131.255.255 | 262,142 |
| 34 | 208.132.0.0/14 | 208.132.0.1 to 208.135.255.254 | 208.135.255.255 | 262,142 |
| 35 | 208.136.0.0/14 | 208.136.0.1 to 208.139.255.254 | 208.139.255.255 | 262,142 |
| 36 | 208.140.0.0/14 | 208.140.0.1 to 208.143.255.254 | 208.143.255.255 | 262,142 |
| 37 | 208.144.0.0/14 | 208.144.0.1 to 208.147.255.254 | 208.147.255.255 | 262,142 |
| 38 | 208.148.0.0/14 | 208.148.0.1 to 208.151.255.254 | 208.151.255.255 | 262,142 |
| 39 | 208.152.0.0/14 | 208.152.0.1 to 208.155.255.254 | 208.155.255.255 | 262,142 |
| 40 | 208.156.0.0/14 | 208.156.0.1 to 208.159.255.254 | 208.159.255.255 | 262,142 |
| 41 | 208.160.0.0/14 | 208.160.0.1 to 208.163.255.254 | 208.163.255.255 | 262,142 |
| 42 | 208.164.0.0/14 | 208.164.0.1 to 208.167.255.254 | 208.167.255.255 | 262,142 |
| 43 | 208.168.0.0/14 | 208.168.0.1 to 208.171.255.254 | 208.171.255.255 | 262,142 |
| 44 | 208.172.0.0/14 | 208.172.0.1 to 208.175.255.254 | 208.175.255.255 | 262,142 |
| 45 | 208.176.0.0/14 | 208.176.0.1 to 208.179.255.254 | 208.179.255.255 | 262,142 |
| 46 | 208.180.0.0/14 | 208.180.0.1 to 208.183.255.254 | 208.183.255.255 | 262,142 |
| 47 | 208.184.0.0/14 | 208.184.0.1 to 208.187.255.254 | 208.187.255.255 | 262,142 |
| 48 | 208.188.0.0/14 | 208.188.0.1 to 208.191.255.254 | 208.191.255.255 | 262,142 |
| 49 | 208.192.0.0/14 | 208.192.0.1 to 208.195.255.254 | 208.195.255.255 | 262,142 |
| 50 | 208.196.0.0/14 | 208.196.0.1 to 208.199.255.254 | 208.199.255.255 | 262,142 |
| 51 | 208.200.0.0/14 | 208.200.0.1 to 208.203.255.254 | 208.203.255.255 | 262,142 |
| 52 | 208.204.0.0/14 | 208.204.0.1 to 208.207.255.254 | 208.207.255.255 | 262,142 |
| 53 | 208.208.0.0/14 | 208.208.0.1 to 208.211.255.254 | 208.211.255.255 | 262,142 |
| 54 | 208.212.0.0/14 | 208.212.0.1 to 208.215.255.254 | 208.215.255.255 | 262,142 |
| 55 | 208.216.0.0/14 | 208.216.0.1 to 208.219.255.254 | 208.219.255.255 | 262,142 |
| 56 | 208.220.0.0/14 | 208.220.0.1 to 208.223.255.254 | 208.223.255.255 | 262,142 |
| 57 | 208.224.0.0/14 | 208.224.0.1 to 208.227.255.254 | 208.227.255.255 | 262,142 |
| 58 | 208.228.0.0/14 | 208.228.0.1 to 208.231.255.254 | 208.231.255.255 | 262,142 |
| 59 | 208.232.0.0/14 | 208.232.0.1 to 208.235.255.254 | 208.235.255.255 | 262,142 |
| 60 | 208.236.0.0/14 | 208.236.0.1 to 208.239.255.254 | 208.239.255.255 | 262,142 |
| 61 | 208.240.0.0/14 | 208.240.0.1 to 208.243.255.254 | 208.243.255.255 | 262,142 |
| 62 | 208.244.0.0/14 | 208.244.0.1 to 208.247.255.254 | 208.247.255.255 | 262,142 |
| 63 | 208.248.0.0/14 | 208.248.0.1 to 208.251.255.254 | 208.251.255.255 | 262,142 |
| 64 | 208.252.0.0/14 | 208.252.0.1 to 208.255.255.254 | 208.255.255.255 | 262,142 |
| 65 | 209.0.0.0/14 | 209.0.0.1 to 209.3.255.254 | 209.3.255.255 | 262,142 |
| 66 | 209.4.0.0/14 | 209.4.0.1 to 209.7.255.254 | 209.7.255.255 | 262,142 |
| 67 | 209.8.0.0/14 | 209.8.0.1 to 209.11.255.254 | 209.11.255.255 | 262,142 |
| 68 | 209.12.0.0/14 | 209.12.0.1 to 209.15.255.254 | 209.15.255.255 | 262,142 |
| 69 | 209.16.0.0/14 | 209.16.0.1 to 209.19.255.254 | 209.19.255.255 | 262,142 |
| 70 | 209.20.0.0/14 | 209.20.0.1 to 209.23.255.254 | 209.23.255.255 | 262,142 |
| 71 | 209.24.0.0/14 | 209.24.0.1 to 209.27.255.254 | 209.27.255.255 | 262,142 |
| 72 | 209.28.0.0/14 | 209.28.0.1 to 209.31.255.254 | 209.31.255.255 | 262,142 |
| 73 | 209.32.0.0/14 | 209.32.0.1 to 209.35.255.254 | 209.35.255.255 | 262,142 |
| 74 | 209.36.0.0/14 | 209.36.0.1 to 209.39.255.254 | 209.39.255.255 | 262,142 |
| 75 | 209.40.0.0/14 | 209.40.0.1 to 209.43.255.254 | 209.43.255.255 | 262,142 |
| 76 | 209.44.0.0/14 | 209.44.0.1 to 209.47.255.254 | 209.47.255.255 | 262,142 |
| 77 | 209.48.0.0/14 | 209.48.0.1 to 209.51.255.254 | 209.51.255.255 | 262,142 |
| 78 | 209.52.0.0/14 | 209.52.0.1 to 209.55.255.254 | 209.55.255.255 | 262,142 |
| 79 | 209.56.0.0/14 | 209.56.0.1 to 209.59.255.254 | 209.59.255.255 | 262,142 |
| 80 | 209.60.0.0/14 | 209.60.0.1 to 209.63.255.254 | 209.63.255.255 | 262,142 |
| 81 | 209.64.0.0/14 | 209.64.0.1 to 209.67.255.254 | 209.67.255.255 | 262,142 |
| 82 | 209.68.0.0/14 | 209.68.0.1 to 209.71.255.254 | 209.71.255.255 | 262,142 |
| 83 | 209.72.0.0/14 | 209.72.0.1 to 209.75.255.254 | 209.75.255.255 | 262,142 |
| 84 | 209.76.0.0/14 | 209.76.0.1 to 209.79.255.254 | 209.79.255.255 | 262,142 |
| 85 | 209.80.0.0/14 | 209.80.0.1 to 209.83.255.254 | 209.83.255.255 | 262,142 |
| 86 | 209.84.0.0/14 | 209.84.0.1 to 209.87.255.254 | 209.87.255.255 | 262,142 |
| 87 | 209.88.0.0/14 | 209.88.0.1 to 209.91.255.254 | 209.91.255.255 | 262,142 |
| 88 | 209.92.0.0/14 | 209.92.0.1 to 209.95.255.254 | 209.95.255.255 | 262,142 |
| 89 | 209.96.0.0/14 | 209.96.0.1 to 209.99.255.254 | 209.99.255.255 | 262,142 |
| 90 | 209.100.0.0/14 | 209.100.0.1 to 209.103.255.254 | 209.103.255.255 | 262,142 |
| 91 | 209.104.0.0/14 | 209.104.0.1 to 209.107.255.254 | 209.107.255.255 | 262,142 |
| 92 | 209.108.0.0/14 | 209.108.0.1 to 209.111.255.254 | 209.111.255.255 | 262,142 |
| 93 | 209.112.0.0/14 | 209.112.0.1 to 209.115.255.254 | 209.115.255.255 | 262,142 |
| 94 | 209.116.0.0/14 | 209.116.0.1 to 209.119.255.254 | 209.119.255.255 | 262,142 |
| 95 | 209.120.0.0/14 | 209.120.0.1 to 209.123.255.254 | 209.123.255.255 | 262,142 |
| 96 | 209.124.0.0/14 | 209.124.0.1 to 209.127.255.254 | 209.127.255.255 | 262,142 |
| 97 | 209.128.0.0/14 | 209.128.0.1 to 209.131.255.254 | 209.131.255.255 | 262,142 |
| 98 | 209.132.0.0/14 | 209.132.0.1 to 209.135.255.254 | 209.135.255.255 | 262,142 |
| 99 | 209.136.0.0/14 | 209.136.0.1 to 209.139.255.254 | 209.139.255.255 | 262,142 |
| 100 | 209.140.0.0/14 | 209.140.0.1 to 209.143.255.254 | 209.143.255.255 | 262,142 |
| 101 | 209.144.0.0/14 | 209.144.0.1 to 209.147.255.254 | 209.147.255.255 | 262,142 |
| 102 | 209.148.0.0/14 | 209.148.0.1 to 209.151.255.254 | 209.151.255.255 | 262,142 |
| 103 | 209.152.0.0/14 | 209.152.0.1 to 209.155.255.254 | 209.155.255.255 | 262,142 |
| 104 | 209.156.0.0/14 | 209.156.0.1 to 209.159.255.254 | 209.159.255.255 | 262,142 |
| 105 | 209.160.0.0/14 | 209.160.0.1 to 209.163.255.254 | 209.163.255.255 | 262,142 |
| 106 | 209.164.0.0/14 | 209.164.0.1 to 209.167.255.254 | 209.167.255.255 | 262,142 |
| 107 | 209.168.0.0/14 | 209.168.0.1 to 209.171.255.254 | 209.171.255.255 | 262,142 |
| 108 | 209.172.0.0/14 | 209.172.0.1 to 209.175.255.254 | 209.175.255.255 | 262,142 |
| 109 | 209.176.0.0/14 | 209.176.0.1 to 209.179.255.254 | 209.179.255.255 | 262,142 |
| 110 | 209.180.0.0/14 | 209.180.0.1 to 209.183.255.254 | 209.183.255.255 | 262,142 |
| 111 | 209.184.0.0/14 | 209.184.0.1 to 209.187.255.254 | 209.187.255.255 | 262,142 |
| 112 | 209.188.0.0/14 | 209.188.0.1 to 209.191.255.254 | 209.191.255.255 | 262,142 |
| 113 | 209.192.0.0/14 | 209.192.0.1 to 209.195.255.254 | 209.195.255.255 | 262,142 |
| 114 | 209.196.0.0/14 | 209.196.0.1 to 209.199.255.254 | 209.199.255.255 | 262,142 |
| 115 | 209.200.0.0/14 | 209.200.0.1 to 209.203.255.254 | 209.203.255.255 | 262,142 |
| 116 | 209.204.0.0/14 | 209.204.0.1 to 209.207.255.254 | 209.207.255.255 | 262,142 |
| 117 | 209.208.0.0/14 | 209.208.0.1 to 209.211.255.254 | 209.211.255.255 | 262,142 |
| 118 | 209.212.0.0/14 | 209.212.0.1 to 209.215.255.254 | 209.215.255.255 | 262,142 |
| 119 | 209.216.0.0/14 | 209.216.0.1 to 209.219.255.254 | 209.219.255.255 | 262,142 |
| 120 | 209.220.0.0/14 | 209.220.0.1 to 209.223.255.254 | 209.223.255.255 | 262,142 |
| 121 | 209.224.0.0/14 | 209.224.0.1 to 209.227.255.254 | 209.227.255.255 | 262,142 |
| 122 | 209.228.0.0/14 | 209.228.0.1 to 209.231.255.254 | 209.231.255.255 | 262,142 |
| 123 | 209.232.0.0/14 | 209.232.0.1 to 209.235.255.254 | 209.235.255.255 | 262,142 |
| 124 | 209.236.0.0/14 | 209.236.0.1 to 209.239.255.254 | 209.239.255.255 | 262,142 |
| 125 | 209.240.0.0/14 | 209.240.0.1 to 209.243.255.254 | 209.243.255.255 | 262,142 |
| 126 | 209.244.0.0/14 | 209.244.0.1 to 209.247.255.254 | 209.247.255.255 | 262,142 |
| 127 | 209.248.0.0/14 | 209.248.0.1 to 209.251.255.254 | 209.251.255.255 | 262,142 |
| 128 | 209.252.0.0/14 | 209.252.0.1 to 209.255.255.254 | 209.255.255.255 | 262,142 |
| 129 | 210.0.0.0/14 | 210.0.0.1 to 210.3.255.254 | 210.3.255.255 | 262,142 |
| 130 | 210.4.0.0/14 | 210.4.0.1 to 210.7.255.254 | 210.7.255.255 | 262,142 |
| 131 | 210.8.0.0/14 | 210.8.0.1 to 210.11.255.254 | 210.11.255.255 | 262,142 |
| 132 | 210.12.0.0/14 | 210.12.0.1 to 210.15.255.254 | 210.15.255.255 | 262,142 |
| 133 | 210.16.0.0/14 | 210.16.0.1 to 210.19.255.254 | 210.19.255.255 | 262,142 |
| 134 | 210.20.0.0/14 | 210.20.0.1 to 210.23.255.254 | 210.23.255.255 | 262,142 |
| 135 | 210.24.0.0/14 | 210.24.0.1 to 210.27.255.254 | 210.27.255.255 | 262,142 |
| 136 | 210.28.0.0/14 | 210.28.0.1 to 210.31.255.254 | 210.31.255.255 | 262,142 |
| 137 | 210.32.0.0/14 | 210.32.0.1 to 210.35.255.254 | 210.35.255.255 | 262,142 |
| 138 | 210.36.0.0/14 | 210.36.0.1 to 210.39.255.254 | 210.39.255.255 | 262,142 |
| 139 | 210.40.0.0/14 | 210.40.0.1 to 210.43.255.254 | 210.43.255.255 | 262,142 |
| 140 | 210.44.0.0/14 | 210.44.0.1 to 210.47.255.254 | 210.47.255.255 | 262,142 |
| 141 | 210.48.0.0/14 | 210.48.0.1 to 210.51.255.254 | 210.51.255.255 | 262,142 |
| 142 | 210.52.0.0/14 | 210.52.0.1 to 210.55.255.254 | 210.55.255.255 | 262,142 |
| 143 | 210.56.0.0/14 | 210.56.0.1 to 210.59.255.254 | 210.59.255.255 | 262,142 |
| 144 | 210.60.0.0/14 | 210.60.0.1 to 210.63.255.254 | 210.63.255.255 | 262,142 |
| 145 | 210.64.0.0/14 | 210.64.0.1 to 210.67.255.254 | 210.67.255.255 | 262,142 |
| 146 | 210.68.0.0/14 | 210.68.0.1 to 210.71.255.254 | 210.71.255.255 | 262,142 |
| 147 | 210.72.0.0/14 | 210.72.0.1 to 210.75.255.254 | 210.75.255.255 | 262,142 |
| 148 | 210.76.0.0/14 | 210.76.0.1 to 210.79.255.254 | 210.79.255.255 | 262,142 |
| 149 | 210.80.0.0/14 | 210.80.0.1 to 210.83.255.254 | 210.83.255.255 | 262,142 |
| 150 | 210.84.0.0/14 | 210.84.0.1 to 210.87.255.254 | 210.87.255.255 | 262,142 |
| 151 | 210.88.0.0/14 | 210.88.0.1 to 210.91.255.254 | 210.91.255.255 | 262,142 |
| 152 | 210.92.0.0/14 | 210.92.0.1 to 210.95.255.254 | 210.95.255.255 | 262,142 |
| 153 | 210.96.0.0/14 | 210.96.0.1 to 210.99.255.254 | 210.99.255.255 | 262,142 |
| 154 | 210.100.0.0/14 | 210.100.0.1 to 210.103.255.254 | 210.103.255.255 | 262,142 |
| 155 | 210.104.0.0/14 | 210.104.0.1 to 210.107.255.254 | 210.107.255.255 | 262,142 |
| 156 | 210.108.0.0/14 | 210.108.0.1 to 210.111.255.254 | 210.111.255.255 | 262,142 |
| 157 | 210.112.0.0/14 | 210.112.0.1 to 210.115.255.254 | 210.115.255.255 | 262,142 |
| 158 | 210.116.0.0/14 | 210.116.0.1 to 210.119.255.254 | 210.119.255.255 | 262,142 |
| 159 | 210.120.0.0/14 | 210.120.0.1 to 210.123.255.254 | 210.123.255.255 | 262,142 |
| 160 | 210.124.0.0/14 | 210.124.0.1 to 210.127.255.254 | 210.127.255.255 | 262,142 |
| 161 | 210.128.0.0/14 | 210.128.0.1 to 210.131.255.254 | 210.131.255.255 | 262,142 |
| 162 | 210.132.0.0/14 | 210.132.0.1 to 210.135.255.254 | 210.135.255.255 | 262,142 |
| 163 | 210.136.0.0/14 | 210.136.0.1 to 210.139.255.254 | 210.139.255.255 | 262,142 |
| 164 | 210.140.0.0/14 | 210.140.0.1 to 210.143.255.254 | 210.143.255.255 | 262,142 |
| 165 | 210.144.0.0/14 | 210.144.0.1 to 210.147.255.254 | 210.147.255.255 | 262,142 |
| 166 | 210.148.0.0/14 | 210.148.0.1 to 210.151.255.254 | 210.151.255.255 | 262,142 |
| 167 | 210.152.0.0/14 | 210.152.0.1 to 210.155.255.254 | 210.155.255.255 | 262,142 |
| 168 | 210.156.0.0/14 | 210.156.0.1 to 210.159.255.254 | 210.159.255.255 | 262,142 |
| 169 | 210.160.0.0/14 | 210.160.0.1 to 210.163.255.254 | 210.163.255.255 | 262,142 |
| 170 | 210.164.0.0/14 | 210.164.0.1 to 210.167.255.254 | 210.167.255.255 | 262,142 |
| 171 | 210.168.0.0/14 | 210.168.0.1 to 210.171.255.254 | 210.171.255.255 | 262,142 |
| 172 | 210.172.0.0/14 | 210.172.0.1 to 210.175.255.254 | 210.175.255.255 | 262,142 |
| 173 | 210.176.0.0/14 | 210.176.0.1 to 210.179.255.254 | 210.179.255.255 | 262,142 |
| 174 | 210.180.0.0/14 | 210.180.0.1 to 210.183.255.254 | 210.183.255.255 | 262,142 |
| 175 | 210.184.0.0/14 | 210.184.0.1 to 210.187.255.254 | 210.187.255.255 | 262,142 |
| 176 | 210.188.0.0/14 | 210.188.0.1 to 210.191.255.254 | 210.191.255.255 | 262,142 |
| 177 | 210.192.0.0/14 | 210.192.0.1 to 210.195.255.254 | 210.195.255.255 | 262,142 |
| 178 | 210.196.0.0/14 | 210.196.0.1 to 210.199.255.254 | 210.199.255.255 | 262,142 |
| 179 | 210.200.0.0/14 | 210.200.0.1 to 210.203.255.254 | 210.203.255.255 | 262,142 |
| 180 | 210.204.0.0/14 | 210.204.0.1 to 210.207.255.254 | 210.207.255.255 | 262,142 |
| 181 | 210.208.0.0/14 | 210.208.0.1 to 210.211.255.254 | 210.211.255.255 | 262,142 |
| 182 | 210.212.0.0/14 | 210.212.0.1 to 210.215.255.254 | 210.215.255.255 | 262,142 |
| 183 | 210.216.0.0/14 | 210.216.0.1 to 210.219.255.254 | 210.219.255.255 | 262,142 |
| 184 | 210.220.0.0/14 | 210.220.0.1 to 210.223.255.254 | 210.223.255.255 | 262,142 |
| 185 | 210.224.0.0/14 | 210.224.0.1 to 210.227.255.254 | 210.227.255.255 | 262,142 |
| 186 | 210.228.0.0/14 | 210.228.0.1 to 210.231.255.254 | 210.231.255.255 | 262,142 |
| 187 | 210.232.0.0/14 | 210.232.0.1 to 210.235.255.254 | 210.235.255.255 | 262,142 |
| 188 | 210.236.0.0/14 | 210.236.0.1 to 210.239.255.254 | 210.239.255.255 | 262,142 |
| 189 | 210.240.0.0/14 | 210.240.0.1 to 210.243.255.254 | 210.243.255.255 | 262,142 |
| 190 | 210.244.0.0/14 | 210.244.0.1 to 210.247.255.254 | 210.247.255.255 | 262,142 |
| 191 | 210.248.0.0/14 | 210.248.0.1 to 210.251.255.254 | 210.251.255.255 | 262,142 |
| 192 | 210.252.0.0/14 | 210.252.0.1 to 210.255.255.254 | 210.255.255.255 | 262,142 |
| 193 | 211.0.0.0/14 | 211.0.0.1 to 211.3.255.254 | 211.3.255.255 | 262,142 |
| 194 | 211.4.0.0/14 | 211.4.0.1 to 211.7.255.254 | 211.7.255.255 | 262,142 |
| 195 | 211.8.0.0/14 | 211.8.0.1 to 211.11.255.254 | 211.11.255.255 | 262,142 |
| 196 | 211.12.0.0/14 | 211.12.0.1 to 211.15.255.254 | 211.15.255.255 | 262,142 |
| 197 | 211.16.0.0/14 | 211.16.0.1 to 211.19.255.254 | 211.19.255.255 | 262,142 |
| 198 | 211.20.0.0/14 | 211.20.0.1 to 211.23.255.254 | 211.23.255.255 | 262,142 |
| 199 | 211.24.0.0/14 | 211.24.0.1 to 211.27.255.254 | 211.27.255.255 | 262,142 |
| 200 | 211.28.0.0/14 | 211.28.0.1 to 211.31.255.254 | 211.31.255.255 | 262,142 |
| 201 | 211.32.0.0/14 | 211.32.0.1 to 211.35.255.254 | 211.35.255.255 | 262,142 |
| 202 | 211.36.0.0/14 | 211.36.0.1 to 211.39.255.254 | 211.39.255.255 | 262,142 |
| 203 | 211.40.0.0/14 | 211.40.0.1 to 211.43.255.254 | 211.43.255.255 | 262,142 |
| 204 | 211.44.0.0/14 | 211.44.0.1 to 211.47.255.254 | 211.47.255.255 | 262,142 |
| 205 | 211.48.0.0/14 | 211.48.0.1 to 211.51.255.254 | 211.51.255.255 | 262,142 |
| 206 | 211.52.0.0/14 | 211.52.0.1 to 211.55.255.254 | 211.55.255.255 | 262,142 |
| 207 | 211.56.0.0/14 | 211.56.0.1 to 211.59.255.254 | 211.59.255.255 | 262,142 |
| 208 | 211.60.0.0/14 | 211.60.0.1 to 211.63.255.254 | 211.63.255.255 | 262,142 |
| 209 | 211.64.0.0/14 | 211.64.0.1 to 211.67.255.254 | 211.67.255.255 | 262,142 |
| 210 | 211.68.0.0/14 | 211.68.0.1 to 211.71.255.254 | 211.71.255.255 | 262,142 |
| 211 | 211.72.0.0/14 | 211.72.0.1 to 211.75.255.254 | 211.75.255.255 | 262,142 |
| 212 | 211.76.0.0/14 | 211.76.0.1 to 211.79.255.254 | 211.79.255.255 | 262,142 |
| 213 | 211.80.0.0/14 | 211.80.0.1 to 211.83.255.254 | 211.83.255.255 | 262,142 |
| 214 | 211.84.0.0/14 | 211.84.0.1 to 211.87.255.254 | 211.87.255.255 | 262,142 |
| 215 | 211.88.0.0/14 | 211.88.0.1 to 211.91.255.254 | 211.91.255.255 | 262,142 |
| 216 | 211.92.0.0/14 | 211.92.0.1 to 211.95.255.254 | 211.95.255.255 | 262,142 |
| 217 | 211.96.0.0/14 | 211.96.0.1 to 211.99.255.254 | 211.99.255.255 | 262,142 |
| 218 | 211.100.0.0/14 | 211.100.0.1 to 211.103.255.254 | 211.103.255.255 | 262,142 |
| 219 | 211.104.0.0/14 | 211.104.0.1 to 211.107.255.254 | 211.107.255.255 | 262,142 |
| 220 | 211.108.0.0/14 | 211.108.0.1 to 211.111.255.254 | 211.111.255.255 | 262,142 |
| 221 | 211.112.0.0/14 | 211.112.0.1 to 211.115.255.254 | 211.115.255.255 | 262,142 |
| 222 | 211.116.0.0/14 | 211.116.0.1 to 211.119.255.254 | 211.119.255.255 | 262,142 |
| 223 | 211.120.0.0/14 | 211.120.0.1 to 211.123.255.254 | 211.123.255.255 | 262,142 |
| 224 | 211.124.0.0/14 | 211.124.0.1 to 211.127.255.254 | 211.127.255.255 | 262,142 |
| 225 | 211.128.0.0/14 | 211.128.0.1 to 211.131.255.254 | 211.131.255.255 | 262,142 |
| 226 | 211.132.0.0/14 | 211.132.0.1 to 211.135.255.254 | 211.135.255.255 | 262,142 |
| 227 | 211.136.0.0/14 | 211.136.0.1 to 211.139.255.254 | 211.139.255.255 | 262,142 |
| 228 | 211.140.0.0/14 | 211.140.0.1 to 211.143.255.254 | 211.143.255.255 | 262,142 |
| 229 | 211.144.0.0/14 | 211.144.0.1 to 211.147.255.254 | 211.147.255.255 | 262,142 |
| 230 | 211.148.0.0/14 | 211.148.0.1 to 211.151.255.254 | 211.151.255.255 | 262,142 |
| 231 | 211.152.0.0/14 | 211.152.0.1 to 211.155.255.254 | 211.155.255.255 | 262,142 |
| 232 | 211.156.0.0/14 | 211.156.0.1 to 211.159.255.254 | 211.159.255.255 | 262,142 |
| 233 | 211.160.0.0/14 | 211.160.0.1 to 211.163.255.254 | 211.163.255.255 | 262,142 |
| 234 | 211.164.0.0/14 | 211.164.0.1 to 211.167.255.254 | 211.167.255.255 | 262,142 |
| 235 | 211.168.0.0/14 | 211.168.0.1 to 211.171.255.254 | 211.171.255.255 | 262,142 |
| 236 | 211.172.0.0/14 | 211.172.0.1 to 211.175.255.254 | 211.175.255.255 | 262,142 |
| 237 | 211.176.0.0/14 | 211.176.0.1 to 211.179.255.254 | 211.179.255.255 | 262,142 |
| 238 | 211.180.0.0/14 | 211.180.0.1 to 211.183.255.254 | 211.183.255.255 | 262,142 |
| 239 | 211.184.0.0/14 | 211.184.0.1 to 211.187.255.254 | 211.187.255.255 | 262,142 |
| 240 | 211.188.0.0/14 | 211.188.0.1 to 211.191.255.254 | 211.191.255.255 | 262,142 |
| 241 | 211.192.0.0/14 | 211.192.0.1 to 211.195.255.254 | 211.195.255.255 | 262,142 |
| 242 | 211.196.0.0/14 | 211.196.0.1 to 211.199.255.254 | 211.199.255.255 | 262,142 |
| 243 | 211.200.0.0/14 | 211.200.0.1 to 211.203.255.254 | 211.203.255.255 | 262,142 |
| 244 | 211.204.0.0/14 | 211.204.0.1 to 211.207.255.254 | 211.207.255.255 | 262,142 |
| 245 | 211.208.0.0/14 | 211.208.0.1 to 211.211.255.254 | 211.211.255.255 | 262,142 |
| 246 | 211.212.0.0/14 | 211.212.0.1 to 211.215.255.254 | 211.215.255.255 | 262,142 |
| 247 | 211.216.0.0/14 | 211.216.0.1 to 211.219.255.254 | 211.219.255.255 | 262,142 |
| 248 | 211.220.0.0/14 | 211.220.0.1 to 211.223.255.254 | 211.223.255.255 | 262,142 |
| 249 | 211.224.0.0/14 | 211.224.0.1 to 211.227.255.254 | 211.227.255.255 | 262,142 |
| 250 | 211.228.0.0/14 | 211.228.0.1 to 211.231.255.254 | 211.231.255.255 | 262,142 |
| 251 | 211.232.0.0/14 | 211.232.0.1 to 211.235.255.254 | 211.235.255.255 | 262,142 |
| 252 | 211.236.0.0/14 | 211.236.0.1 to 211.239.255.254 | 211.239.255.255 | 262,142 |
| 253 | 211.240.0.0/14 | 211.240.0.1 to 211.243.255.254 | 211.243.255.255 | 262,142 |
| 254 | 211.244.0.0/14 | 211.244.0.1 to 211.247.255.254 | 211.247.255.255 | 262,142 |
| 255 | 211.248.0.0/14 | 211.248.0.1 to 211.251.255.254 | 211.251.255.255 | 262,142 |
| 256 | 211.252.0.0/14 | 211.252.0.1 to 211.255.255.254 | 211.255.255.255 | 262,142 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |